Intermittent browser/components/extensions/test/browser/browser_ext_browsingData_history.js | Expected number of visits found in history database. - Got 0, expected 1

RESOLVED FIXED in Firefox 58

Status

WebExtensions
General
P2
normal
RESOLVED FIXED
a year ago
29 days ago

People

(Reporter: aryx, Assigned: bsilverberg)

Tracking

({intermittent-failure})

unspecified
mozilla58
intermittent-failure
Bug Flags:
qe-verify -

Firefox Tracking Flags

(firefox58 fixed)

Details

(Whiteboard: [stockwell fixed:other])

MozReview Requests

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

https://treeherder.mozilla.org/logviewer.html#?job_id=106012298&repo=mozilla-inbound

[task 2017-06-10T01:08:49.725397Z] 01:08:49     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_browsingData_history.js | Expected number of visits found in history database. - 
[task 2017-06-10T01:08:49.730117Z] 01:08:49     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_browsingData_history.js | Expected number of visits found in history database. - 
[task 2017-06-10T01:08:49.732778Z] 01:08:49     INFO - Buffered messages logged at 01:08:47
[task 2017-06-10T01:08:49.735534Z] 01:08:49     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_browsingData_history.js | Expected number of visits removed from history database. - 
[task 2017-06-10T01:08:49.738052Z] 01:08:49     INFO - TEST-PASS | browser/components/extensions/test/browser/browser_ext_browsingData_history.js | Expected number of visits removed from history database. - 
[task 2017-06-10T01:08:49.741544Z] 01:08:49     INFO - Buffered messages finished
[task 2017-06-10T01:08:49.743929Z] 01:08:49     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_browsingData_history.js | Expected number of visits found in history database. - Got 0, expected 1
[task 2017-06-10T01:08:49.745836Z] 01:08:49     INFO - Stack trace:
[task 2017-06-10T01:08:49.748012Z] 01:08:49     INFO - chrome://mochikit/content/browser-test.js:test_is:998
[task 2017-06-10T01:08:49.751759Z] 01:08:49     INFO - chrome://mochitests/content/browser/browser/components/extensions/test/browser/browser_ext_browsingData_history.js:setupHistory:36
[task 2017-06-10T01:08:49.754106Z] 01:08:49     INFO - Not taking screenshot here: see the one that was previously logged
[task 2017-06-10T01:08:49.756577Z] 01:08:49     INFO - TEST-UNEXPECTED-FAIL | browser/components/extensions/test/browser/browser_ext_browsingData_history.js | Expected number of visits found in history database. - Got 0, expected 2
[task 2017-06-10T01:08:49.760413Z] 01:08:49     INFO - Stack trace:
[task 2017-06-10T01:08:49.763650Z] 01:08:49     INFO - chrome://mochikit/content/browser-test.js:test_is:998
[task 2017-06-10T01:08:49.765831Z] 01:08:49     INFO - chrome://mochitests/content/browser/browser/components/extensions/test/browser/browser_ext_browsingData_history.js:setupHistory:37

Comment 1

a year ago
1 failures in 892 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-06-19&endday=2017-06-25&tree=all

Comment 2

a year ago
31 failures in 822 pushes (0.038 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. ** 

Repository breakdown:
* mozilla-inbound: 11
* autoland: 11
* try: 6
* mozilla-central: 2
* pine: 1

Platform breakdown:
* linux64: 17
* linux32: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 3

a year ago
14 failures in 1008 pushes (0.014 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 4
* mozilla-inbound: 3
* mozilla-central: 3
* oak: 2
* autoland: 2

Platform breakdown:
* linux64: 14

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-07-24&endday=2017-07-30&tree=all

Comment 4

a year ago
6 failures in 888 pushes (0.007 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 3
* autoland: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-07-31&endday=2017-08-06&tree=all

Comment 5

11 months ago
7 failures in 901 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 4
* autoland: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-08-07&endday=2017-08-13&tree=all

Comment 6

11 months ago
3 failures in 949 pushes (0.003 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* try: 1
* mozilla-central: 1
* autoland: 1

Platform breakdown:
* linux64: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-08-14&endday=2017-08-20&tree=all

Comment 7

11 months ago
7 failures in 908 pushes (0.008 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* linux64: 7

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 8

11 months ago
16 failures in 939 pushes (0.017 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 12
* try: 4

Platform breakdown:
* linux64-stylo: 10
* linux64: 6

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-08-28&endday=2017-09-03&tree=all

Comment 9

10 months ago
29 failures in 924 pushes (0.031 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 19
* mozilla-inbound: 6
* mozilla-central: 3
* try: 1

Platform breakdown:
* linux64: 15
* linux64-stylo-disabled: 11
* linux64-stylo: 3

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-09-04&endday=2017-09-10&tree=all

Updated

10 months ago
Priority: -- → P5

Comment 10

10 months ago
45 failures in 1032 pushes (0.044 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* mozilla-inbound: 13
* try: 12
* autoland: 12
* mozilla-central: 8

Platform breakdown:
* linux64: 25
* linux64-stylo-disabled: 16
* osx-10-10: 2
* linux32-stylo-disabled: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-09-11&endday=2017-09-17&tree=all
this looks to have resolved itself with one failure since September 16th:
https://brasstacks.mozilla.com/orangefactor/index.html?display=Bug&bugid=1371919
Whiteboard: [stockwell unknown]

Comment 12

10 months ago
4 failures in 943 pushes (0.004 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 3
* mozilla-beta: 1

Platform breakdown:
* linux64-stylo-disabled: 4

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 13

10 months ago
14 failures in 885 pushes (0.016 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 6
* mozilla-inbound: 4
* try: 2
* mozilla-central: 2

Platform breakdown:
* linux64-stylo-disabled: 9
* linux64: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-09-25&endday=2017-10-01&tree=all

Comment 14

9 months ago
31 failures in 824 pushes (0.038 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 10
* mozilla-inbound: 8
* try: 6
* mozilla-central: 6
* mozilla-beta: 1

Platform breakdown:
* linux64: 16
* linux64-stylo-disabled: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-10-02&endday=2017-10-08&tree=all
Priority: P5 → --
Whiteboard: [stockwell unknown] → [stockwell needswork:owner]

Comment 15

9 months ago
42 failures in 947 pushes (0.044 failures/push) were associated with this bug in the last 7 days.   

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 21
* mozilla-inbound: 14
* try: 4
* mozilla-central: 3

Platform breakdown:
* linux64: 28
* linux64-stylo-disabled: 12
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-10-09&endday=2017-10-15&tree=all
:andym let us know if there is any other info you need in order to get this fixed.
Flags: needinfo?(amckay)

Comment 17

9 months ago
35 failures in 864 pushes (0.041 failures/push) were associated with this bug in the last 7 days. 

This is the #39 most frequent failure this week.  

** This failure happened more than 30 times this week! Resolving this bug is a high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 2 weeks, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 21
* mozilla-inbound: 7
* try: 4
* mozilla-central: 3

Platform breakdown:
* linux64: 21
* linux64-stylo-disabled: 13
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1371919&startday=2017-10-16&endday=2017-10-22&tree=all
(Assignee)

Comment 18

9 months ago
I'll look into this one.
Assignee: nobody → bob.silverberg
Component: WebExtensions: Untriaged → WebExtensions: General
Flags: needinfo?(amckay)
Priority: -- → P2
Comment hidden (mozreview-request)

Comment 20

9 months ago
mozreview-review
Comment on attachment 8923438 [details]
Bug 1371919 - Fix Intermittent browser/components/extensions/test/browser/browser_ext_browsingData_history.js,

https://reviewboard.mozilla.org/r/194586/#review199618

commit comment sound reasonable.  can you run the failing test a bunch before landing?
Attachment #8923438 - Flags: review?(mixedpuppy) → review+

Comment 21

9 months ago
Pushed by bsilverberg@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/4e544fe542e8
Fix Intermittent browser/components/extensions/test/browser/browser_ext_browsingData_history.js, r=mixedpuppy
https://hg.mozilla.org/mozilla-central/rev/4e544fe542e8
Status: NEW → RESOLVED
Last Resolved: 9 months ago
status-firefox58: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla58
Whiteboard: [stockwell needswork:owner] → [stockwell fixed:other]

Comment 23

8 months ago
Is manual testing required on this bug? If Yes, please provide some STR and the proper webextension(if required), if No set the “qe-verify-“ flag.
Flags: needinfo?(aryx.bugmail)
Flags: needinfo?(aryx.bugmail) → qe-verify-

Updated

29 days ago
Product: Toolkit → WebExtensions
You need to log in before you can comment on or make changes to this bug.